import{s as Ot,n as qt,o as zt}from"../chunks/scheduler.d6170356.js";import{S as Vt,i as Ft,g as n,s,r as u,A as Wt,h as o,f as a,c as l,j as At,u as d,x as r,k as f,y as Nt,a as i,v as p,d as h,t as g,w as m}from"../chunks/index.fcd4cc08.js";import{H as c}from"../chunks/Heading.8660bd0e.js";function Et(it){let v,de,re,fe,M,pe,D,st='The <a href="https://huggingface.co/datasets" rel="nofollow">Hub</a> is home to an extensive collection of community-curated and research datasets. We encourage you to share your dataset to the Hub to help grow the ML community and accelerate progress for everyone. All contributions are welcome; adding a dataset is just a drag and drop away!',he,P,lt='Start by <a href="https://huggingface.co/join" rel="nofollow">creating a Hugging Face Hub account</a> if you don’t have one yet.',ge,k,me,I,nt="The Hub’s web-based interface allows users without any developer experience to upload a dataset.",ce,j,ve,S,ot="A repository hosts all your dataset files, including the revision history, making storing more than one dataset version possible.",be,U,rt='<li>Click on your profile and select <strong>New Dataset</strong> to create a <a href="https://huggingface.co/new-dataset" rel="nofollow">new dataset repository</a>.</li> <li>Pick a name for your dataset, and choose whether it is a public or private dataset. A public dataset is visible to anyone, whereas a private dataset can only be viewed by you or members of your organization.</li>',ye,b,ut='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/create_repo.png"/>',$e,A,we,O,dt='<li>Once you’ve created a repository, navigate to the <strong>Files and versions</strong> tab to add a file. Select <strong>Add file</strong> to upload your dataset files. We support many text, audio, image and other data extensions such as <code>.csv</code>, <code>.mp3</code>, and <code>.jpg</code> (see the full list of <a href="#file-formats">File formats</a>).</li>',Te,y,ft='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/upload_files.png"/>',He,$,pt="<li>Drag and drop your dataset files.</li>",Le,w,ht='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/commit_files.png"/>',xe,T,gt="<li>After uploading your dataset files, they are stored in your dataset repository.</li>",_e,H,mt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/files_stored.png"/>',Ce,q,Me,z,ct="Adding a Dataset card is super valuable for helping users find your dataset and understand how to use it responsibly.",De,V,vt='<li>Click on <strong>Create Dataset Card</strong> to create a <a href="./datasets-cards">Dataset card</a>. This button creates a <code>README.md</code> file in your repository.</li>',Pe,L,bt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/dataset_card.png"/>',ke,x,yt='<li><p>At the top, you’ll see the <strong>Metadata UI</strong> with several fields to select from such as license, language, and task categories. These are the most important tags for helping users discover your dataset on the Hub (when applicable). When you select an option for a field, it will be automatically added to the top of the dataset card.</p> <p>You can also look at the <a href="https://github.com/huggingface/hub-docs/blob/main/datasetcard.md?plain=1" rel="nofollow">Dataset Card specifications</a>, which has a complete set of allowed tags, including optional like <code>annotations_creators</code>, to help you choose the ones that are useful for your dataset.</p></li>',Ie,_,$t='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/metadata_ui.png"/>',je,C,wt='<li><p>Write your dataset documentation in the Dataset Card to introduce your dataset to the community and help users understand what is inside: what are the use cases and limitations, where the data comes from, what are important ethical considerations, and any other relevant details.</p> <p>You can click on the <strong>Import dataset card template</strong> link at the top of the editor to automatically create a dataset card template. For a detailed example of what a good Dataset card should look like, take a look at the <a href="https://huggingface.co/datasets/cnn_dailymail" rel="nofollow">CNN DailyMail Dataset card</a>.</p></li>',Se,F,Ue,W,Tt='The rich features set in the <code>huggingface_hub</code> library allows you to manage repositories, including creating repos and uploading datasets to the Hub. Visit <a href="https://huggingface.co/docs/huggingface_hub/index" rel="nofollow">the client library’s documentation</a> to learn more.',Ae,N,Oe,E,Ht=`Some libraries like <a href="../datasets/index">🤗 Datasets</a>, <a href="https://pandas.pydata.org/" rel="nofollow">Pandas</a>, <a href="https://www.dask.org/" rel="nofollow">Dask</a> or <a href="https://duckdb.org/" rel="nofollow">DuckDB</a> can upload files to the Hub.
See the list of <a href="./datasets-libraries">Libraries supported by the Datasets Hub</a> for more information.`,qe,G,ze,Z,Lt='Since dataset repos are Git repositories, you can use Git to push your data files to the Hub. Follow the guide on <a href="repositories-getting-started">Getting Started with Repositories</a> to learn about using the <code>git</code> CLI to commit and push your datasets.',Ve,J,Fe,R,xt="The Hub natively supports multiple file formats:",We,Y,_t='<li>CSV (.csv, .tsv)</li> <li>JSON Lines, JSON (.jsonl, .json)</li> <li>Parquet (.parquet)</li> <li>Arrow streaming format (.arrow)</li> <li>Text (.txt)</li> <li>Images (.png, .jpg, etc.)</li> <li>Audio (.wav, .mp3, etc.)</li> <li><a href="https://github.com/webdataset/webdataset" rel="nofollow">WebDataset</a> (.tar)</li>',Ne,B,Ct="It supports files compressed using ZIP (.zip), GZIP (.gz), ZSTD (.zst), BZ2 (.bz2), LZ4 (.lz4) and LZMA (.xz).",Ee,K,Mt='Image and audio files can also have additional metadata files, see the <a href="./datasets-data-files-configuration#image-and-audio-datasets">Data files Configuration</a> on image and audio datasets.',Ge,Q,Dt=`You may want to convert your files to these formats to benefit from all the Hub features.
Other formats and structures may not be recognized by the Hub.`,Ze,X,Je,ee,Pt='For most types of datasets, Parquet is the recommended format due to its efficient compression, rich typing, and since a variety of tools supports this format with optimized read and batched operations. Alternatively, CSV or JSON Lines/JSON can be used for tabular data (prefer JSON Lines for nested data). Although easy to parse compared to Parquet, these formats are not recommended for data larger than several GBs. For image and audio datasets, uploading raw files is the most practical for most use cases since it’s easy to access individual files. For large scale image and audio datasets streaming, <a href="https://github.com/webdataset/webdataset" rel="nofollow">WebDataset</a> should be preferred over raw image and audio files to avoid the overhead of accessing individual files. Though for more general use cases involving analytics, data filtering or metadata parsing, Parquet is the recommended option for large scale image and audio datasets.',Re,te,Ye,ae,kt=`The <a href="./datasets-viewer">Dataset Viewer</a> is useful to know how the data actually looks like before you download it.
It is enabled by default for all public datasets. It is also available for private datasets owned by a <a href="https://huggingface.co/pricing" rel="nofollow">PRO user</a> or an <a href="https://huggingface.co/enterprise" rel="nofollow">Enterprise Hub organization</a>.`,Be,ie,It='After uploading your dataset, make sure the Dataset Viewer correctly shows your data, or <a href="./datasets-viewer-configure">Configure the Dataset Viewer</a>.',Ke,se,Qe,le,jt='The Hugging Face Hub supports large scale datasets, usually uploaded in Parquet (e.g. via <code>push_to_hub()</code> using <a href="../datasets/index">🤗 Datasets</a>) or <a href="https://github.com/webdataset/webdataset" rel="nofollow">WebDataset</a> format.',Xe,ne,St="You can upload large scale datasets at high speed using the <code>huggingface-hub</code> library.",et,oe,Ut='See <a href="../huggingface_hub/guides/upload#upload-a-folder-by-chunks">how to upload a folder by chunks</a> and the <a href="../huggingface_hub/guides/upload#tips-and-tricks-for-large-uploads">tips and tricks for large uploads</a>.',tt,ue,at;return M=new c({props:{title:"Uploading datasets",local:"uploading-datasets",headingTag:"h1"}}),k=new c({props:{title:"Upload using the Hub UI",local:"upload-using-the-hub-ui",headingTag:"h2"}}),j=new c({props:{title:"Create a repository",local:"create-a-repository",headingTag:"h3"}}),A=new c({props:{title:"Upload dataset",local:"upload-dataset",headingTag:"h3"}}),q=new c({props:{title:"Create a Dataset card",local:"create-a-dataset-card",headingTag:"h3"}}),F=new c({props:{title:"Using the huggingface_hub client library",local:"using-the-huggingfacehub-client-library",headingTag:"h2"}}),N=new c({props:{title:"Using other libraries",local:"using-other-libraries",headingTag:"h2"}}),G=new c({props:{title:"Using Git",local:"using-git",headingTag:"h2"}}),J=new c({props:{title:"File formats",local:"file-formats",headingTag:"h2"}}),X=new c({props:{title:"Which file format should I use?",local:"which-file-format-should-i-use",headingTag:"h3"}}),te=new c({props:{title:"Dataset Viewer",local:"dataset-viewer",headingTag:"h3"}}),se=new c({props:{title:"Large scale datasets",local:"large-scale-datasets",headingTag:"h2"}}),{c(){v=n("meta"),de=s(),re=n("p"),fe=s(),u(M.$$.fragment),pe=s(),D=n("p"),D.innerHTML=st,he=s(),P=n("p"),P.innerHTML=lt,ge=s(),u(k.$$.fragment),me=s(),I=n("p"),I.textContent=nt,ce=s(),u(j.$$.fragment),ve=s(),S=n("p"),S.textContent=ot,be=s(),U=n("ol"),U.innerHTML=rt,ye=s(),b=n("div"),b.innerHTML=ut,$e=s(),u(A.$$.fragment),we=s(),O=n("ol"),O.innerHTML=dt,Te=s(),y=n("div"),y.innerHTML=ft,He=s(),$=n("ol"),$.innerHTML=pt,Le=s(),w=n("div"),w.innerHTML=ht,xe=s(),T=n("ol"),T.innerHTML=gt,_e=s(),H=n("div"),H.innerHTML=mt,Ce=s(),u(q.$$.fragment),Me=s(),z=n("p"),z.textContent=ct,De=s(),V=n("ol"),V.innerHTML=vt,Pe=s(),L=n("div"),L.innerHTML=bt,ke=s(),x=n("ol"),x.innerHTML=yt,Ie=s(),_=n("div"),_.innerHTML=$t,je=s(),C=n("ol"),C.innerHTML=wt,Se=s(),u(F.$$.fragment),Ue=s(),W=n("p"),W.innerHTML=Tt,Ae=s(),u(N.$$.fragment),Oe=s(),E=n("p"),E.innerHTML=Ht,qe=s(),u(G.$$.fragment),ze=s(),Z=n("p"),Z.innerHTML=Lt,Ve=s(),u(J.$$.fragment),Fe=s(),R=n("p"),R.textContent=xt,We=s(),Y=n("ul"),Y.innerHTML=_t,Ne=s(),B=n("p"),B.textContent=Ct,Ee=s(),K=n("p"),K.innerHTML=Mt,Ge=s(),Q=n("p"),Q.textContent=Dt,Ze=s(),u(X.$$.fragment),Je=s(),ee=n("p"),ee.innerHTML=Pt,Re=s(),u(te.$$.fragment),Ye=s(),ae=n("p"),ae.innerHTML=kt,Be=s(),ie=n("p"),ie.innerHTML=It,Ke=s(),u(se.$$.fragment),Qe=s(),le=n("p"),le.innerHTML=jt,Xe=s(),ne=n("p"),ne.innerHTML=St,et=s(),oe=n("p"),oe.innerHTML=Ut,tt=s(),ue=n("p"),this.h()},l(e){const t=Wt("svelte-u9bgzb",document.head);v=o(t,"META",{name:!0,content:!0}),t.forEach(a),de=l(e),re=o(e,"P",{}),At(re).forEach(a),fe=l(e),d(M.$$.fragment,e),pe=l(e),D=o(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-1754kge"&&(D.innerHTML=st),he=l(e),P=o(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-1fojn2"&&(P.innerHTML=lt),ge=l(e),d(k.$$.fragment,e),me=l(e),I=o(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-wcztra"&&(I.textContent=nt),ce=l(e),d(j.$$.fragment,e),ve=l(e),S=o(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-193c6le"&&(S.textContent=ot),be=l(e),U=o(e,"OL",{"data-svelte-h":!0}),r(U)!=="svelte-t7tqd0"&&(U.innerHTML=rt),ye=l(e),b=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(b)!=="svelte-ggmafm"&&(b.innerHTML=ut),$e=l(e),d(A.$$.fragment,e),we=l(e),O=o(e,"OL",{"data-svelte-h":!0}),r(O)!=="svelte-1371ekm"&&(O.innerHTML=dt),Te=l(e),y=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(y)!=="svelte-ejbx7w"&&(y.innerHTML=ft),He=l(e),$=o(e,"OL",{start:!0,"data-svelte-h":!0}),r($)!=="svelte-1q9alp6"&&($.innerHTML=pt),Le=l(e),w=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(w)!=="svelte-14wj5uc"&&(w.innerHTML=ht),xe=l(e),T=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(T)!=="svelte-9bhhwd"&&(T.innerHTML=gt),_e=l(e),H=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(H)!=="svelte-15ihy8q"&&(H.innerHTML=mt),Ce=l(e),d(q.$$.fragment,e),Me=l(e),z=o(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-5ezmk1"&&(z.textContent=ct),De=l(e),V=o(e,"OL",{"data-svelte-h":!0}),r(V)!=="svelte-vc122w"&&(V.innerHTML=vt),Pe=l(e),L=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(L)!=="svelte-1o3g2qu"&&(L.innerHTML=bt),ke=l(e),x=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(x)!=="svelte-tbqb69"&&(x.innerHTML=yt),Ie=l(e),_=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(_)!=="svelte-stlsmn"&&(_.innerHTML=$t),je=l(e),C=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(C)!=="svelte-1nopxc3"&&(C.innerHTML=wt),Se=l(e),d(F.$$.fragment,e),Ue=l(e),W=o(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-16wtrpg"&&(W.innerHTML=Tt),Ae=l(e),d(N.$$.fragment,e),Oe=l(e),E=o(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-p38oj0"&&(E.innerHTML=Ht),qe=l(e),d(G.$$.fragment,e),ze=l(e),Z=o(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-b2l0oe"&&(Z.innerHTML=Lt),Ve=l(e),d(J.$$.fragment,e),Fe=l(e),R=o(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-dyuuws"&&(R.textContent=xt),We=l(e),Y=o(e,"UL",{"data-svelte-h":!0}),r(Y)!=="svelte-nrshj9"&&(Y.innerHTML=_t),Ne=l(e),B=o(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-mpmhfr"&&(B.textContent=Ct),Ee=l(e),K=o(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-1ubgnie"&&(K.innerHTML=Mt),Ge=l(e),Q=o(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-1tta5o7"&&(Q.textContent=Dt),Ze=l(e),d(X.$$.fragment,e),Je=l(e),ee=o(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1lms0fv"&&(ee.innerHTML=Pt),Re=l(e),d(te.$$.fragment,e),Ye=l(e),ae=o(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-1s5m6to"&&(ae.innerHTML=kt),Be=l(e),ie=o(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-189qumh"&&(ie.innerHTML=It),Ke=l(e),d(se.$$.fragment,e),Qe=l(e),le=o(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1euf4qj"&&(le.innerHTML=jt),Xe=l(e),ne=o(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-1cxf919"&&(ne.innerHTML=St),et=l(e),oe=o(e,"P",{"data-svelte-h":!0}),r(oe)!=="svelte-k7ctoz"&&(oe.innerHTML=Ut),tt=l(e),ue=o(e,"P",{}),At(ue).forEach(a),this.h()},h(){f(v,"name","hf:doc:metadata"),f(v,"content",Gt),f(b,"class","flex justify-center"),f(y,"class","flex justify-center"),f($,"start","2"),f(w,"class","flex justify-center"),f(T,"start","3"),f(H,"class","flex justify-center"),f(L,"class","flex justify-center"),f(x,"start","2"),f(_,"class","flex justify-center"),f(C,"start","3")},m(e,t){Nt(document.head,v),i(e,de,t),i(e,re,t),i(e,fe,t),p(M,e,t),i(e,pe,t),i(e,D,t),i(e,he,t),i(e,P,t),i(e,ge,t),p(k,e,t),i(e,me,t),i(e,I,t),i(e,ce,t),p(j,e,t),i(e,ve,t),i(e,S,t),i(e,be,t),i(e,U,t),i(e,ye,t),i(e,b,t),i(e,$e,t),p(A,e,t),i(e,we,t),i(e,O,t),i(e,Te,t),i(e,y,t),i(e,He,t),i(e,$,t),i(e,Le,t),i(e,w,t),i(e,xe,t),i(e,T,t),i(e,_e,t),i(e,H,t),i(e,Ce,t),p(q,e,t),i(e,Me,t),i(e,z,t),i(e,De,t),i(e,V,t),i(e,Pe,t),i(e,L,t),i(e,ke,t),i(e,x,t),i(e,Ie,t),i(e,_,t),i(e,je,t),i(e,C,t),i(e,Se,t),p(F,e,t),i(e,Ue,t),i(e,W,t),i(e,Ae,t),p(N,e,t),i(e,Oe,t),i(e,E,t),i(e,qe,t),p(G,e,t),i(e,ze,t),i(e,Z,t),i(e,Ve,t),p(J,e,t),i(e,Fe,t),i(e,R,t),i(e,We,t),i(e,Y,t),i(e,Ne,t),i(e,B,t),i(e,Ee,t),i(e,K,t),i(e,Ge,t),i(e,Q,t),i(e,Ze,t),p(X,e,t),i(e,Je,t),i(e,ee,t),i(e,Re,t),p(te,e,t),i(e,Ye,t),i(e,ae,t),i(e,Be,t),i(e,ie,t),i(e,Ke,t),p(se,e,t),i(e,Qe,t),i(e,le,t),i(e,Xe,t),i(e,ne,t),i(e,et,t),i(e,oe,t),i(e,tt,t),i(e,ue,t),at=!0},p:qt,i(e){at||(h(M.$$.fragment,e),h(k.$$.fragment,e),h(j.$$.fragment,e),h(A.$$.fragment,e),h(q.$$.fragment,e),h(F.$$.fragment,e),h(N.$$.fragment,e),h(G.$$.fragment,e),h(J.$$.fragment,e),h(X.$$.fragment,e),h(te.$$.fragment,e),h(se.$$.fragment,e),at=!0)},o(e){g(M.$$.fragment,e),g(k.$$.fragment,e),g(j.$$.fragment,e),g(A.$$.fragment,e),g(q.$$.fragment,e),g(F.$$.fragment,e),g(N.$$.fragment,e),g(G.$$.fragment,e),g(J.$$.fragment,e),g(X.$$.fragment,e),g(te.$$.fragment,e),g(se.$$.fragment,e),at=!1},d(e){e&&(a(de),a(re),a(fe),a(pe),a(D),a(he),a(P),a(ge),a(me),a(I),a(ce),a(ve),a(S),a(be),a(U),a(ye),a(b),a($e),a(we),a(O),a(Te),a(y),a(He),a($),a(Le),a(w),a(xe),a(T),a(_e),a(H),a(Ce),a(Me),a(z),a(De),a(V),a(Pe),a(L),a(ke),a(x),a(Ie),a(_),a(je),a(C),a(Se),a(Ue),a(W),a(Ae),a(Oe),a(E),a(qe),a(ze),a(Z),a(Ve),a(Fe),a(R),a(We),a(Y),a(Ne),a(B),a(Ee),a(K),a(Ge),a(Q),a(Ze),a(Je),a(ee),a(Re),a(Ye),a(ae),a(Be),a(ie),a(Ke),a(Qe),a(le),a(Xe),a(ne),a(et),a(oe),a(tt),a(ue)),a(v),m(M,e),m(k,e),m(j,e),m(A,e),m(q,e),m(F,e),m(N,e),m(G,e),m(J,e),m(X,e),m(te,e),m(se,e)}}}const Gt='{"title":"Uploading datasets","local":"uploading-datasets","sections":[{"title":"Upload using the Hub UI","local":"upload-using-the-hub-ui","sections":[{"title":"Create a repository","local":"create-a-repository","sections":[],"depth":3},{"title":"Upload dataset","local":"upload-dataset","sections":[],"depth":3},{"title":"Create a Dataset card","local":"create-a-dataset-card","sections":[],"depth":3}],"depth":2},{"title":"Using the huggingface_hub client library","local":"using-the-huggingfacehub-client-library","sections":[],"depth":2},{"title":"Using other libraries","local":"using-other-libraries","sections":[],"depth":2},{"title":"Using Git","local":"using-git","sections":[],"depth":2},{"title":"File formats","local":"file-formats","sections":[{"title":"Which file format should I use?","local":"which-file-format-should-i-use","sections":[],"depth":3},{"title":"Dataset Viewer","local":"dataset-viewer","sections":[],"depth":3}],"depth":2},{"title":"Large scale datasets","local":"large-scale-datasets","sections":[],"depth":2}],"depth":1}';function Zt(it){return zt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bt extends Vt{constructor(v){super(),Ft(this,v,Zt,Et,Ot,{})}}export{Bt as component};
